## mars.mips.instructions.syscalls
Class SyscallInputDialogFloat

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallInputDialogFloat

All Implemented Interfaces:
  Syscall

    public class SyscallInputDialogFloat

extends AbstractSyscall

Service to input data.

Constructor Summary
`SyscallInputDialogFloat()` Build an instance of the syscall with its default service number and name.

Method Summary
`void` `simulate(ProgramStatement statement)` System call to input data.

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallInputDialogFloat

    public SyscallInputDialogFloat()

  Build an instance of the syscall with its default service number and name.

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  System call to input data.

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`